Subject: Re: Precompiled headers in egcs? (was MFC with egcs 1.1)
From: [email-masked] (Don Sharp)

13 Oct 1998 14:51:32 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Hilton Fernandes <[email-masked]>
Cc: gnu-win32 <[email-masked]>

Hilton Fernandes wrote:
> 
> On 10 Oct 98 at 19:58, Thomas Nichols <[email-masked]>
> wrote:
> 
> > Thanks very much, I'll just have to get VC++ 6 then. Or maybe I'll
> go for
> > Power++ instead, even if it is stagnating, 'cos it's such a nice
> tool...
> >
> > Thanks to all for the advice,
> >
> > Regards,
> >
> > Thomas.
> >
> 
> Hello!
> 
> If you're not exclusively interested in MFC, but in some OO library
> that can make easier the development of GUI apps, you should take a
> look at wxWindows, found in
> 
>         http://web.ukonline.co.uk/julian.smart/wxwin/
> 
> and V, that can be found in
> 
>         http://www.objectcentral.com
> 
> They're public domain software -- V is GPL --, they have active
> mailing lists.
> 
> Their codes are cleaner than MFC's: you can actually understand
> them, simply by reading the code. :-)  No necessity of huge books
> like MFC Internals, just to find what was the original intention of
> the programmer when writing that piece of code. :-(
> 
> They have different intentions and code base, but they show
> the same quality: portability between Win32 GUI and several Unix
> GUIs, based on X Windows.  They even have some support for the Win16
> API, aka Windows 3.1X.
> 
> BTW, since we're talking about compilers, i'd like to ask whether
> there will be some effort to include precompiled headers in EGCS. As
> we all know, programming class libraries demand lots of headers. The
> repeated recompilation of them during the development incurs in
> wasted time, as they're not subjected to change.  Since Borland 3.1
> (circa 1990?), compilers save the unaltered headers in a parsed
> form, that shaves compilation time.
> 
> The question is: will the precompiled header feature be someday part
> of EGCS?  Would it be structurally difficult, or even impossible?
> 
> Thanks for your attention.
> 
> Best regards,
> --Hilton
> ----
> Hilton Fernandes
> [email-masked]
> [email-masked]
> http://www.geocities.com/SiliconValley/Lakes/5657
> URLs and help on C++ programming and Object-Oriented Design
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".

My lengthy experience with pre-compiled headers, mainly with Borland
compilers, shows that unless the sequence of your include files is
always the same then the pre-compiled header database grows like topsy.
My memory is of a 54Mb precompiled header database for a ~4Mb total
source file project. Still disc space is cheap and the database lookups
may be
fast enough even when the database becomes large.

A better answer might be an automated way to remove spacing and comments
from header files and save them in a special directory. I believe that
it was Jacob Navia who reported major speed improvements as a result.

Cheers

Don Sharp

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".